%define major 11
%define libname_orig %mklibname %{name}
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define gpg_version 1.2.2
%define gpgsm_version 1.9.6

Summary:	GnuPG Made Easy (GPGME)
Name:		gpgme
Version:	1.2.0
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		http://www.gnupg.org/gpgme.html
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
BuildRequires:	gnupg >= %{gpg_version}
# support for Cryptographic Message Syntax protocol
BuildRequires:	gnupg2 >= %{gpgsm_version}
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:	libgpg-error-devel >= 0.5
BuildRequires:	libglib2-devel >= 2.0.0
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{libname}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
Requires:	gnupg >= %{gpg_version}
# support for Cryptographic Message Syntax protocol
Requires:	gnupg2 >= %{gpgsm_version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{develname}
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 11 -d

%description -n %{develname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install this package if you want to develop applications 
that will use the %{name} library for crypto awareness.

%prep
%setup -q

%build
%configure2_5x \
	--enable-static

%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/gpgme-config
%endif

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/gpgme-config
%endif
%{_bindir}/gpgme-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_infodir}/*
%dir %{_datadir}/common-lisp/source/gpgme
%{_datadir}/common-lisp/source/gpgme/gpgme-package.lisp
%{_datadir}/common-lisp/source/gpgme/gpgme.asd
%{_datadir}/common-lisp/source/gpgme/gpgme.lisp


%changelog
* Tue Jun 30 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.0-1mdv2010.0
+ Revision: 390789
- Update  to gpgme 1.2.0

* Sun Jan 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.8-1mdv2009.1
+ Revision: 331039
- update to new version 1.1.8

* Sun Nov 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.7-1mdv2009.1
+ Revision: 303835
- update to new version 1.1.7
- fix ur for Source0

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-2mdv2009.0
+ Revision: 221100
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.6-1mdv2008.1
+ Revision: 157125
- new license policy
- do not package COPYING files
- spec file clean
- new version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.5-2mdv2008.1
+ Revision: 136461
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 24 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.5-2mdv2008.0
+ Revision: 92576
- added missing buildrequires (glib2-devel) + rebuild

* Wed Aug 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 57324
- new devel library policy
- make use of %%{major}
- add %%check section
- new version


* Wed Mar 14 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.4-1mdv2007.1
+ Revision: 143695
- updated to version 1.1.4
- updated to version 1.1.3
- removed pthread patch, already applied
- added lisp files to devel package

* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 1.1.2-3mdv2007.1
+ Revision: 88736
- fix gpgme-config (#27380)
- Import gpgme

* Tue Aug 29 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.2-2
- fix deps

* Sun Jul 02 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.2-1mdv2007.0
- 1.1.2
- mkrel 
- src url

* Thu Aug 25 2005 Abel Cheung <deaddog@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- fix deps and conditional %%multiarch
- run the test suite
- fix requires-on-release

* Mon Jan 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Thu Oct 21 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- fix source URL
- New release 1.0.0

* Fri Aug 20 2004 Abel Cheung <deaddog@deaddog.org> 0.9.0-1mdk
- New version
- Disable test, some gpgsm tests appears to need fixing

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7-1mdk
- New version

